MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003155VCMIModspublic2020-11-01 03:062022-09-16 14:55
Reporterfatfishwen 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSMacOS CatalinaOS Version10.15.7
Product Version0.99 
Target VersionFixed in Version0.next 
Summary0003155: Crashes when entering a battle (problem with Hota addon?)
DescriptionMac version always crashes when entering a battle. Have tried with/without quick battle and disabling all mods except official WOG downloaded through the launcher, or only HOTA.
Problem remains the same with VCMI-branch-develop-9ca9c80.dmg provided on https://builds.vcmi.download/branch/develop/macOS/?C=M&O=D [^]
Windows version does not have this issue.
TagsNo tags attached.
Attached Filespng file icon Screenshot 2022-09-16 at 15.22.10.png [^] (15,883 bytes) 2022-09-16 12:24

- Relationships

-  Notes
(0007948)
odmitriy (reporter)
2020-11-10 17:24

According to the provided log crash is in the CCreature::isItNativeTerrain. It seems some faction was not found among installed mods. Did you change installed mods set after game save was created?
(0007949)
misiokles (reporter)
2020-11-10 17:34

Mods downloaded through launcher are old and not supported, like launcher. Most updated mods are located here: https://wiki.vcmi.eu/Mod_list [^] (old mod version should be deleted manually).
(0007952)
mashinarius (reporter)
2020-11-18 15:54

removing HOTA addon fixed fails in my case
(0008109)
Povelitel (updater)
2022-03-16 11:02

Does the issue reproduce on recent builds?
(0008340)
kambala (reporter)
2022-09-16 12:25
edited on: 2022-09-16 12:27

tested configuration from the uploaded SS with one of the latest macOS-intel builds in the first smallest scenario on macOS 12.5.1 - battle works fine

(0008342)
Povelitel (updater)
2022-09-16 14:55

If the problem persists now, please create a new ticket.

- Issue History
Date Modified Username Field Change
2020-11-01 03:06 fatfishwen New Issue
2020-11-10 14:40 mashinarius Note Added: 0007947
2020-11-10 17:24 odmitriy Note Added: 0007948
2020-11-10 17:34 misiokles Note Added: 0007949
2020-11-18 15:53 mashinarius Note Deleted: 0007947
2020-11-18 15:54 mashinarius Note Added: 0007952
2022-03-16 11:02 Povelitel Note Added: 0008109
2022-03-16 11:02 Povelitel Assigned To => Povelitel
2022-03-16 11:02 Povelitel Status new => feedback
2022-03-28 16:18 Povelitel Category Other => Mods
2022-03-28 16:18 Povelitel Summary Crashes when entering a battle => Crashes when entering a battle (problem with Hota addon?)
2022-09-16 12:24 kambala File Added: Screenshot 2022-09-16 at 15.22.10.png
2022-09-16 12:25 kambala Note Added: 0008340
2022-09-16 12:26 kambala Note Edited: 0008340 View Revisions
2022-09-16 12:27 kambala Note Edited: 0008340 View Revisions
2022-09-16 14:55 Povelitel Note Added: 0008342
2022-09-16 14:55 Povelitel Status feedback => resolved
2022-09-16 14:55 Povelitel Fixed in Version => 0.next
2022-09-16 14:55 Povelitel Resolution open => fixed
2022-09-16 14:55 Povelitel Assigned To Povelitel =>

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean